> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Market Stats

> Returns a paginated list of Blockworks’ computed market-level statistics. Use this endpoint to discover available stats and build market overviews and dashboards. Each item includes a stat key, value, effective time window, and metadata.



## OpenAPI

````yaml /openapi.json get /v1/market-stats/{id}
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/market-stats/{id}:
    get:
      tags:
        - market-stats
      summary: List Market Stats
      description: >-
        Returns a paginated list of Blockworks’ computed market-level
        statistics. Use this endpoint to discover available stats and build
        market overviews and dashboards. Each item includes a stat key, value,
        effective time window, and metadata.
      operationId: MarketStatsController_get_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketStatsResponse'
        '400':
          description: Bad Request
        '404':
          description: Not Found
components:
  schemas:
    MarketStatsResponse:
      type: object
      properties:
        total_usd_market_cap:
          type: number
          default: 0
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        total_usd_volume_24h:
          type: number
          default: 0
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        altcoin_usd_market_cap:
          type: number
          default: 0
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        altcoin_usd_volume_24h:
          type: number
          default: 0
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        stablecoin_usd_volume_24h:
          type: number
          default: 0
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        stablecoin_usd_change_24h:
          type: number
          default: 0
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        defi_usd_volume_24h:
          type: number
          default: 0
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        defi_usd_change_24h:
          type: number
          default: 0
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        btc_dominance:
          type: number
          default: 0
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        btc_dominance_change_24h:
          type: number
          default: 0
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        eth_dominance:
          type: number
          default: 0
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        eth_dominance_change_24h:
          type: number
          default: 0
          format: double
          minimum: 2.2250738585072014e-308
          maximum: 1.7976931348623157e+308
        updated_at:
          type: number
          default: 0
          description: Unix timestamp
        day:
          type: string
          description: Date in YYYY-MM-DD format
          maxLength: 255
      required:
        - total_usd_market_cap
        - total_usd_volume_24h
        - altcoin_usd_market_cap
        - altcoin_usd_volume_24h
        - stablecoin_usd_volume_24h
        - stablecoin_usd_change_24h
        - defi_usd_volume_24h
        - defi_usd_change_24h
        - btc_dominance
        - btc_dominance_change_24h
        - eth_dominance
        - eth_dominance_change_24h
        - updated_at
        - day
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````